summary refs log tree commit diff
path: root/debian/matrix-synapse-py3.postinst
diff options
context:
space:
mode:
authorRichard van der Hoff <richard@matrix.org>2018-12-20 16:48:47 +0000
committerRichard van der Hoff <richard@matrix.org>2018-12-20 16:48:47 +0000
commit0b26feb42264e742968e2a573fa1390c667f41a8 (patch)
tree2b098ed5013ce06a5bb72e540d81d9dbe71a1442 /debian/matrix-synapse-py3.postinst
parentMerge pull request #4309 from KB1RD/KB1RD-fixes (diff)
parentClarify that py2 packages will continue to exist (diff)
downloadsynapse-0b26feb42264e742968e2a573fa1390c667f41a8.tar.xz
Merge branch 'master' into develop
Diffstat (limited to 'debian/matrix-synapse-py3.postinst')
-rw-r--r--debian/matrix-synapse-py3.postinst39
1 files changed, 39 insertions, 0 deletions
diff --git a/debian/matrix-synapse-py3.postinst b/debian/matrix-synapse-py3.postinst
new file mode 100644
index 0000000000..0509acd0a4
--- /dev/null
+++ b/debian/matrix-synapse-py3.postinst
@@ -0,0 +1,39 @@
+#!/bin/sh -e
+
+. /usr/share/debconf/confmodule
+
+CONFIGFILE_SERVERNAME="/etc/matrix-synapse/conf.d/server_name.yaml"
+CONFIGFILE_REPORTSTATS="/etc/matrix-synapse/conf.d/report_stats.yaml"
+USER="matrix-synapse"
+
+case "$1" in
+  configure|reconfigure)
+    # Set server name in config file
+    mkdir -p "/etc/matrix-synapse/conf.d/"
+    db_get matrix-synapse/server-name
+
+    if [ "$RET" ]; then
+        echo "server_name: $RET" > $CONFIGFILE_SERVERNAME
+    fi
+
+    db_get matrix-synapse/report-stats
+    if [ "$RET" ]; then
+        echo "report_stats: $RET" > $CONFIGFILE_REPORTSTATS
+    fi
+
+    if ! getent passwd $USER >/dev/null; then
+      adduser --quiet --system --no-create-home --home /var/lib/matrix-synapse $USER
+    fi
+
+    for DIR in /var/lib/matrix-synapse /var/log/matrix-synapse /etc/matrix-synapse; do
+      if ! dpkg-statoverride --list --quiet $DIR >/dev/null; then
+        dpkg-statoverride --force --quiet --update --add $USER nogroup 0755 $DIR
+      fi
+    done
+
+    ;;
+esac
+
+#DEBHELPER#
+
+exit 0